Should I remove the old ymlfront format now that it recognises directives?
authorhttp://kerravonsen.dreamwidth.org/ <http://kerravonsen.dreamwidth.org/@web>
Fri, 6 Aug 2010 08:19:06 +0000 (08:19 +0000)
committerJoey Hess <joey@finch.kitenet.net>
Fri, 6 Aug 2010 08:19:06 +0000 (08:19 +0000)
doc/plugins/contrib/ymlfront/discussion.mdwn

index b5c08fedd23b0fa0a1cbd21dc97bf14ba198f7bb..3f7f0a337ca2a4331d50db1e4d9fb6724d8b8450 100644 (file)
@@ -1,13 +1,5 @@
-My field-etc branch in git://git.pseudorandom.co.uk/git/smcv/ikiwiki.git (gitweb:
-<http://git.pseudorandom.co.uk/smcv/ikiwiki.git?a=shortlog;h=refs/heads/field-etc>)
-has some fixes for compatibility with old YAML modules, mostly done by imitating
-Joey's code in IkiWiki::Setup::Yaml. Please consider merging :-) --[[smcv]]
+Now that I have implemented a \[[!ymlfront ...]] directive, I would like to remove support for the old "---" delimited format, because
+* it is fragile (easily breakable)
+* it is non-standard
 
 
-> I would if I could *find* it.  I checked out the "field-etc" branch, but I can't find the plugins in question under IkiWiki/Plugin; am I looking in the wrong place, or what?
-> --[[KathrynAndersen]]
-
->> Sorry, I accidentally removed `field-etc` by pushing with `--mirror` from a
->> different checkout. I've put it back; it's a branch from your `ikiplugins.git`,
->> so yes, the code should be in `IkiWiki/Plugin`. --[[smcv]]
-
->>> Done a while back, but now I've actually pushed to my repo. --[[KathrynAndersen]]
+Any objections?